## org.codehaus.groovy.grails.web.metaclass
Class AbstractDynamicControllerMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerMethod

All Implemented Interfaces:
  DynamicMethodInvocation

    public abstract class AbstractDynamicControllerMethod

extends AbstractDynamicMethodInvocation

An abstract class for dynamic controller methods to implement

Since:
  Oct 24, 2005
Author:
  Graeme Rocher

Field Summary
`protected HttpServletRequest` `request`
`protected HttpServletResponse` `response`

Constructor Summary
`AbstractDynamicControllerMethod(Pattern pattern, HttpServletRequest request, HttpServletResponse response)`

Method Summary

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
`getPattern, invoke, isMethodMatch, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected HttpServletRequest request

### response

    protected HttpServletResponse response

Constructor Detail

### AbstractDynamicControllerMethod

    public AbstractDynamicControllerMethod(Pattern pattern,
                                           HttpServletRequest request,
                                           HttpServletResponse response)

Copyright (c) 2005-2009 The Grails project